# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           drobo-utils
Version:        0.6.2.2
Release:        1%{?dist}
Summary:        Manage data robotics storage units (drobos)

Group:          Development/Languages
License:        GPLv3+
URL:            http://drobo-utils.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/drobo-utils/drobo-utils/r0_6_2/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       parted, PyQt4

%description
 Provides utilities for managing Data Robotics storage units, also known as
 "Drobos".  Drobos are external hard drive enclosures that connect to your PC
 via USB or Firewire and provide RAID-like features.  Drobos provide automatic
 data redundancy, hotswappable drive bays, and the size of the RAID can be
 easily expanded.  Different sized hard drives can be mixed on the same Drobo.
 See http://drobo.com for more information.
 
 This package provides a command line interface for managing a Drobo, as well
 as a graphical dashboard interface.  To enable the graphical interface, please
 be sure to install the suggested python-qt4 package, as well as gparted.


%prep
%setup -q


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="%{optflags}" %{__python} setup.py build

sed -i -e "s/\#\!\/.*//g" DroboGUI.py

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# this is not the right place:
rm -rf  %{buildroot}/usr/share/drobo-utils-doc/
 
#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Exec=droboview
# Icon=/usr/share/omegat/images/OmegaT.png
Comment=Manage data robotics storage units (drobos)
Terminal=false
Type=Application
Categories=Utility;System;
X-AppInstall-Package=%{name}
EOF

desktop-file-install  --dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%{name}.desktop 

# manpage:
install -d -m755 %{buildroot}%{_mandir}/man8/
install -m 644 drobom.8 %{buildroot}%{_mandir}/man8/
install -m 644 droboview.8 %{buildroot}%{_mandir}/man8/


%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications


%files
%defattr(-,root,root,-)
%doc CHANGES.html DEVELOPERS.html drobom.html droboview.html index.html README.html QA.txt COPYING
# For noarch packages: sitelib
%{python_sitelib}/*
/usr/bin/drobom
/usr/bin/droboview
%{_datadir}/applications/drobo-utils.desktop
%{_datadir}/pixmaps/Drobo-Front-0000.gif
%{_mandir}/man8/*

%changelog
* Mon Feb 8 2010 Ismael Olea <ismael@olea.org> 0.6.2.2-1
- upstream update 
- fixed man path

* Sun Jan 31 2010 Ismael Olea <ismael@olea.org> 0.6.2.1-1
- first version
